body {
  width: 1760px;

  margin: 0 auto;
  background-color: rgb(248, 248, 248);

  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen,
    Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
}
a {
  all: unset;
  color: black;
}

header {
  display: flex;
  align-items: center;
  padding: 1rem;
}
header > a {
  margin-left: 1rem;
}
header > a:first-child {
  margin: 0 auto 0 0;
}
header > a > h2 {
  margin: 0;
  font-family: "Source Code Pro";
  color: rgb(60, 60, 60);
  cursor: pointer;
}

.icon-github {
  border-radius: 50%;
  background-color: #fff;
}
header > a:not(:first-child) {
  padding: 0.5rem;

  border-radius: 4px;
  background-color: #fff;
  box-shadow: rgb(0 0 0 / 4%) 0px 4px 16px 0px;
  cursor: pointer;

  transition: transform 0.1s;
}
header > a:not(:first-child):hover {
  transform: translateY(-2px);
}
header > a > img {
  display: block;
  width: 30px;
  height: 30px;
}

seciton {
  display: flex;

  flex-wrap: wrap;
  padding-bottom: 2rem;
}
.card {
  width: 320px;
  margin: 1rem;

  border-radius: 4px;
  background-color: #fff;
  box-shadow: rgb(0 0 0 / 4%) 0px 4px 16px 0px;
  cursor: pointer;

  transition: box-shadow 0.2s, transform 0.2s;
}
.card:hover {
  transform: translateY(-4px);
  box-shadow: rgb(0 0 0 / 8%) 0px 12px 20px 0px;
}
.card-img {
  position: relative;
  width: 100%;
  padding-top: 60%;
}
.card-img > img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;

  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
}
.card-body {
  padding: 1rem;
}
.card-body > h4 {
  margin: 0 0 0.5rem;
}
.card-body p {
  display: -webkit-box;
  height: 3.6rem;

  line-height: 1.2rem;
  font-size: 14px;
  margin: 0 0 1.5rem;

  overflow: hidden;
  text-overflow: ellipsis;
  word-break: break-all;

  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
}
.card-body > span {
  display: inline-block;

  font-size: 12px;
  color: rgb(144, 144, 144);
}
.card-foot {
  box-sizing: content-box;
  padding: 0.5rem 0.5rem;

  font-size: 12px;
  border-top: 1px solid rgb(248, 248, 248);
}
.card-foot > span {
  display: inline-block;
  width: fit-content;
  padding: 0.25rem 0.5rem;
  margin: 0.25rem;

  font-weight: 500;
  color: #0366d6;
  background-color: #f1f8ff;
  border-radius: 12px;
}

@media (max-width: 1800px) {
  body {
    width: 1408px;
  }
}
@media (max-width: 1500px) {
  body {
    width: 1056px;
  }
}

/* Mobile */
@media (max-width: 1080px) {
  body {
    width: 100%;
  }
  .card {
    width: calc(50% - 2rem);
  }
  .card:hover,
  header > a > img:hover {
    transform: none;
  }
}
@media (max-width: 767px) {
  .card {
    width: 100%;
    min-width: 360px;
  }
}
